#include <stdio.h>
#include <math.h>
#include <gl.h>
#include <device.h>

char *Progname;
char Usage[] = "usage: %s [file]\n";
#define USAGE() fprintf(stderr, Usage, Progname)

void doit(FILE *);

main(int argc, char **argv)
{
	register char *curr_arg;
	register int c, i;
	short val;
	FILE *infile;

	Progname = *argv;

	/* Parse arguments beginning with a hyphen. */

	while (--argc > 0 && **++argv == '-' && *(curr_arg = 1 + *argv)) {

		/* Scan current argument until a flag indicates that the rest
		of the argument isn't flags (curr_arg = NULL), or until
		the end of the argument is reached (if it is all flags). */

		while (curr_arg != NULL && (c = *curr_arg++)) {
			switch (c) {

			default:
				fprintf(stderr, "%s: unknown flag -%c\n", Progname, c);
				USAGE();
				exit(1);
			}
		}
	}

	/* Process the named file, or stdin if no file given.
	The name '-' also specifies stdin. */

	infile = stdin;
	if (argc && **argv != '-') {
		if ((infile = fopen(*argv, "r")) == NULL) {
			fprintf(stderr, "%s: can't open '%s'\n", Progname, *argv);
			exit(1);
		}
	}

	foreground();
	keepaspect(1, 1);
	winopen("");
	ortho2(0, 800, 0, 800);

	doit(infile);

	qdevice(ESCKEY);
	qdevice(REDRAW);
	while (1) {
		i = qread(&val);
		if (i == ESCKEY) {
			break;
		}
		if (i == REDRAW) {
			reshapeviewport();
			doit(infile);
		}
	}

	exit(0);
}

void
doit(FILE *infile)
{
	int x, y;
	char buf[100];

	color(WHITE);
	clear();
	color(BLACK);

	rewind(infile);
	fgets(buf, 100, infile);
	x = atoi(buf);
	fgets(buf, 100, infile);
	y = atoi(buf);
	move2i(x, y);
	while (fgets(buf, 100, infile)) {
		x = atoi(buf);
		fgets(buf, 100, infile);
		y = atoi(buf);
		draw2i(x, y);
	}
}
